imagecolorresolve
imagecolorset
GD and Image Functions
PHP Manual

# imagecolorresolvealpha

(PHP 4 >= 4.0.6, PHP 5)

imagecolorresolvealpha — Get the index of the specified color + alpha or its closest possible alternative

### Description

int imagecolorresolvealpha ( resource `$image` , int `$red` , int `$green` , int `$blue` , int `$alpha` )

This function is guaranteed to return a color index for a requested color, either the exact color or the closest possible alternative.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`red`

  Value of red component.

`green`

  Value of green component.

`blue`

  Value of blue component.

`alpha`

  A value between 0 and 127. 0 indicates completely opaque while 127 indicates completely transparent.

The colors parameters are integers between 0 and 255 or hexadecimals between 0x00 and 0xFF.

### Return Values

Returns a color index.

### Examples

Example #1 Using imagecoloresolvealpha() to get colors from an image

`<?php
// Load an image
$im = imagecreatefromgif('phplogo.gif');
// Get closest colors from the image
$colors = array();
$colors[] = imagecolorresolvealpha($im, 255, 255, 255, 0);
$colors[] = imagecolorresolvealpha($im, 0, 0, 200, 127);
// Output
print_r($colors);
imagedestroy($im);
?>`

The above example will output something similar to:

    Array
    (
        [0] => 89
        [1] => 85
    )

### Notes

> Note: This function requires GD 2.0.1 or later (2.0.28 or later is recommended).

### See Also

- imagecolorclosestalpha() - Get the index of the closest color to the specified color + alpha

imagecolorresolve
imagecolorset
GD and Image Functions
PHP Manual